For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • API Reference
      • GETList voice settings presets
      • POSTCreate voice settings preset
      • GETGet voice settings preset
      • DELDelete voice settings preset
      • PATCHUpdate voice settings preset
Status
LogoLogo
API ReferenceVoice Settings Presets

Update voice settings preset

PATCH
https://app.resemble.ai/api/v2/voice_settings_presets/:uuid
PATCH
/api/v2/voice_settings_presets/:uuid
$curl -X PATCH https://app.resemble.ai/api/v2/voice_settings_presets/uuid \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{
2 "success": true,
3 "data": {}
4}
Update a preset
Was this page helpful?
Previous

List projects

Next
Built with

Authentication

AuthorizationBearer

API token from https://app.resemble.ai/account/api

Path parameters

uuidstringRequired

Request

This endpoint expects an object.
namestringOptional
pacedoubleOptional
temperaturedoubleOptional
pitchdoubleOptional
useHdbooleanOptional
exaggerationdoubleOptional
descriptionstringOptional

Response

Preset updated
successboolean
dataobject